Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.interceptors.dynamic
Class CachedListInterceptor

    java.lang.Object
      org.jboss.cache.pojo.interceptors.dynamic.AbstractCollectionInterceptor
          org.jboss.cache.pojo.interceptors.dynamic.CachedListInterceptor

All Implemented Interfaces:
  Cloneable, org.jboss.aop.advice.Interceptor, BaseInterceptor

    public class CachedListInterceptor

extends AbstractCollectionInterceptor

List ineterceptor that delegates to underlying implementation.

Author:
  Ben Wang

Constructor Summary
`CachedListInterceptor(PojoCacheImpl cache, org.jboss.cache.Fqn fqn, Class clazz, List obj)`

Method Summary
`void` | `attach(org.jboss.cache.Fqn fqn, boolean copyToCache)` When we want to associate this proxy with the cache again.
`Object` | `clone()`
`void` | `detach(boolean removeFromCache)` When we want to separate this proxy from the cache.
`Object` | `getCurrentCopy()`
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`
`void` | `setInterceptor(org.jboss.aop.advice.Interceptor intcptr)`

Methods inherited from class org.jboss.cache.pojo.interceptors.dynamic.AbstractCollectionInterceptor
`getAopInstance, getFqn, isAttached, setAopInstance, setFqn, verifyAttached`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedListInterceptor

    public CachedListInterceptor(PojoCacheImpl cache,
                                 org.jboss.cache.Fqn fqn,
                                 Class clazz,
                                 List obj)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### setInterceptor

    public void setInterceptor(org.jboss.aop.advice.Interceptor intcptr)

### attach

    public void attach(org.jboss.cache.Fqn fqn,
                       boolean copyToCache)

  When we want to associate this proxy with the cache again. We will need to translate the in-memory content to the cache store first.

  Overrides:
    `attach` in class `AbstractCollectionInterceptor`

### detach

    public void detach(boolean removeFromCache)

  When we want to separate this proxy from the cache. We will destroy the cache content and copy them to the in-memory copy.

  Overrides:
    `detach` in class `AbstractCollectionInterceptor`

### getCurrentCopy

    public Object getCurrentCopy()

  Specified by:
    `getCurrentCopy` in class `AbstractCollectionInterceptor`

### getName

    public String getName()

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2008 JBoss, a division of Red Hat. All Rights Reserved.